# Overview

Bitcoin is a decentralized, proof-of-work Layer-1 blockchain that uses a UTXO model to secure peer-to-peer value transfer validated by miners and full nodes.

Bitcoin's native token is `BTC` .

`satoshis` are the smallest unit of currency on the Bitcoin blockchain, there are 100 million satoshis in 1 Bitcoin, equally 1 satoshi = 0.00000001 BTC.

## Network Support

| Network                                                  | HTTPS | WSS |
| -------------------------------------------------------- | ----- | --- |
| Mainnet - including Blockbook & Esplora Indexer support  | ✅     | N/A |
| Testnet (Testnet3) - Blockbook & Esplora Indexer support | ✅     | N/A |

## Compute Units

<table data-header-hidden><thead><tr><th></th><th width="100"></th></tr></thead><tbody><tr><td>getbestblockhash</td><td>10</td></tr><tr><td>getblock</td><td>10</td></tr><tr><td>getblockchaininfo</td><td>10</td></tr><tr><td>getblockcount</td><td>10</td></tr><tr><td>getblockhash</td><td>10</td></tr><tr><td>getblockheader</td><td>10</td></tr><tr><td>getblockstats</td><td>10</td></tr><tr><td>getchaintips</td><td>10</td></tr><tr><td>getchaintxstats</td><td>10</td></tr><tr><td>getdifficulty</td><td>10</td></tr><tr><td>getmempoolancestors</td><td>10</td></tr><tr><td>getmempooldescendants</td><td>10</td></tr><tr><td>getmempoolinfo</td><td>10</td></tr><tr><td>getrawmempool</td><td>10</td></tr><tr><td>gettxout</td><td>10</td></tr><tr><td>gettxoutproof</td><td>10</td></tr><tr><td>gettxoutsetinfo</td><td>10</td></tr><tr><td>getmemoryinfo</td><td>10</td></tr><tr><td>getconnectioncount</td><td>10</td></tr><tr><td>decoderawtransaction</td><td>10</td></tr><tr><td>decodescript</td><td>10</td></tr><tr><td>getrawtransaction</td><td>10</td></tr><tr><td>sendrawtransaction</td><td>10</td></tr><tr><td>testmempoolaccept</td><td>10</td></tr><tr><td>estimatesmartfee</td><td>10</td></tr><tr><td>getindexinfo</td><td>10</td></tr><tr><td>validateaddress</td><td>10</td></tr><tr><td>verifymessage</td><td>10</td></tr></tbody></table>

All **Blockbook & Esplora Indexer REST API** methods are valued at `10` Compute Units.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/bitcoin/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
